Ask Your Question
0

yum pycurl error 43

asked 2013-11-15 23:34:18 -0500

zawang gravatar image

updated 2014-10-16 09:04:18 -0500

mether gravatar image

I'm on f19. Yum is giving me a pycurl 43 error and this is preventing me from doing anything with yum. I've tried googling for a solution but it hasn't helped.

    pycurl.error: (43, 'CURLOPT_SSL_VERIFYHOST no longer supports 1 as value!')
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2014-10-16 08:07:47 -0500

Jarocks gravatar image

I hate necrobumping but maybe this will help someone with the same issue. Version 3.10 of urlgrabber resolves the error without having to modify any of the code itself.

First remove the old version of urlgrabber to prevent any issues:

pip uninstall urlgrabber

Unfortunately the latest version available on pip is 3.9.1 so you're going to need to pull the latest code from the git repo and compile it yourself.

git clone git://yum.baseurl.org/urlgrabber.git
cd urlgrabber && python setup.py install

You should now be on the latest version of urlgrabber. You can double check by running:

pip show urlgrabber

You should see version 3.10.x. Yum should now be working again.

edit flag offensive delete link more
1

answered 2013-11-16 00:45:08 -0500

zawang gravatar image

I managed to get around this problem by changing

self.curl_obj.setopt(pycurl.SSL_VERIFYHOST, opts.ssl_verify_host)

to

self.curl_obj.setopt(pycurl.SSL_VERIFYHOST, 2.0)

in /usr/lib/python2.7/site-packages/urlgrabber/grabber.py

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-11-15 23:34:18 -0500

Seen: 1,438 times

Last updated: Oct 16 '14